Package com.emc.documentum.rest.model

# Class EventHubEventData

java.lang.Object
com.emc.documentum.rest.model.EventHubEventData

public class EventHubEventData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventHubEventData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppName()`
  `String`
  `getClientIp()`
  `String`
  `getClientLocationInfo()`
  `String`
  `getData()`
  `long`
  `getDuration()`
  `String`
  `getEventCategory()`
  `List<Attribute<?>>`
  `getEventFields()`
  `Integer`
  `getEventLevel()`
  `String`
  `getEventName()`
  `String`
  `getObjectId()`
  `String`
  `getUsername()`
  `boolean`
  `isSynchronous()`
  `void`
  `setAppName(String appName)`
  `void`
  `setClientIp(String clientIp)`
  `void`
  `setClientLocationInfo(String clientLocationInfo)`
  `void`
  `setData(String data)`
  `void`
  `setDuration(long duration)`
  `void`
  `setEventCategory(String eventCategory)`
  `void`
  `setEventFields(List<Attribute<?>> eventFields)`
  `void`
  `setEventLevel(Integer eventLevel)`
  `void`
  `setEventName(String eventName)`
  `void`
  `setObjectId(String objectId)`
  `void`
  `setSynchronous(boolean synchronous)`
  `void`
  `setUsername(String username)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventHubEventData

    public EventHubEventData()

- ## Method Details

  - ### getEventCategory

    public String getEventCategory()

  - ### setEventCategory

    public void setEventCategory(String eventCategory)

  - ### getEventName

    public String getEventName()

  - ### setEventName

    public void setEventName(String eventName)

  - ### getEventLevel

    public Integer getEventLevel()

  - ### setEventLevel

    public void setEventLevel(Integer eventLevel)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String username)

  - ### getObjectId

    public String getObjectId()

  - ### setObjectId

    public void setObjectId(String objectId)

  - ### getDuration

    public long getDuration()

  - ### setDuration

    public void setDuration(long duration)

  - ### getAppName

    public String getAppName()

  - ### setAppName

    public void setAppName(String appName)

  - ### getClientIp

    public String getClientIp()

  - ### setClientIp

    public void setClientIp(String clientIp)

  - ### getClientLocationInfo

    public String getClientLocationInfo()

  - ### setClientLocationInfo

    public void setClientLocationInfo(String clientLocationInfo)

  - ### isSynchronous

    public boolean isSynchronous()

  - ### setSynchronous

    public void setSynchronous(boolean synchronous)

  - ### getEventFields

    public List<Attribute<?>> getEventFields()

  - ### setEventFields

    public void setEventFields(List<Attribute<?>> eventFields)